glab(1)

NAME

glab-cluster-agent-update-kubeconfig - Update selected kubeconfig

SYNOPSIS

glab cluster agent update-kubeconfig [flags]

DESCRIPTION

Update selected kubeconfig for use with a GitLab agent for Kubernetes

OPTIONS

-a, --agent=0
    The numeric agent ID to create the kubeconfig entry for

--kubeconfig=""
    Use a particular kubeconfig file

-u, --use-context[=false]
    Use as default context

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

SEE ALSO

glab-cluster-agent(1)